TRANSPORT_ADD_DEVI(9)

NAME
transport_add_device - declare a new dev for transport class association

SYNOPSIS

void transport_add_device (struct device * dev);

ARGUMENTS

dev the generic device representing the entity being added

DESCRIPTION

Usually, dev represents some component in the HBA system (either the HBA itself or a device remote across the HBA bus). This routine is simply a trigger point used to add the device to the system and register attributes for it.

DESCRIPTION

Usually, dev represents some component in the HBA system (either the HBA itself or a device remote across the HBA bus). This routine is simply a trigger point used to add the device to the system and register attributes for it.